// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /fDocumentLabelRel */
export async function update7(
  body: API.FDocumentLabelRelUpdateVO,
  options?: { [key: string]: any }
) {
  return request<API.RFDocumentLabelRel>(`/finyx/fDocumentLabelRel`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fDocumentLabelRel */
export async function save7(body: API.FDocumentLabelRelSaveVO, options?: { [key: string]: any }) {
  return request<API.RFDocumentLabelRel>(`/finyx/fDocumentLabelRel`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fDocumentLabelRel */
export async function delete7(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fDocumentLabelRel`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fDocumentLabelRel/${param0} */
export async function get6(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get6Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFDocumentLabelRelResultVO>(`/finyx/fDocumentLabelRel/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 复制 POST /fDocumentLabelRel/copy */
export async function copy6(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy6Params,
  options?: { [key: string]: any }
) {
  return request<API.RFDocumentLabelRel>(`/finyx/fDocumentLabelRel/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fDocumentLabelRel/detail */
export async function getDetail6(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail6Params,
  options?: { [key: string]: any }
) {
  return request<API.RFDocumentLabelRelResultVO>(`/finyx/fDocumentLabelRel/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fDocumentLabelRel/findByIds */
export async function findByIds6(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFDocumentLabelRelResultVO>(`/finyx/fDocumentLabelRel/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /fDocumentLabelRel/page */
export async function page6(
  body: API.PageParamsFDocumentLabelRelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageFDocumentLabelRelResultVO>(`/finyx/fDocumentLabelRel/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fDocumentLabelRel/query */
export async function query6(
  body: API.FDocumentLabelRelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RListFDocumentLabelRelResultVO>(`/finyx/fDocumentLabelRel/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
